Subject: [lemonade] Document Shepherd Write-Up: Lemonade Compress

From: Eric Burger <[email-masked]>
Date: Thu, 14 Dec 2006 15:41:44 -0500

(1.a) Document Shepherd: Eric Burger, [email-masked]; personally
reviewed document.  This document is ready for publication.
 
(1.b) Work group review: The lemonade work group provided extensive review
of this document. In addition, the document received extra-WG review in the
security area.
 
(1.c, 1.d) Further review: This document does not need further specialized
review, beyond GEN-ART.
 
(1.e, 1.f) WG Consensus: There are no open issues or internal discussion
remaining.  There are no members with objections or concerns. There are no
threats of appeal or process issues.
 
(1.g) ID-nits: Check and verified with idnits 1.118
 
(1.h) References: All references (normative and informative) are current
RFCs
 
(1.i) IANA Considerations: Exist and internally consistent
 
(1.j) ABNF: Internally consistent and manually verified
 
(1.k) Document Announcement:
 
Technical Summary
 
This document specifies an IMAP extension to compress IMAP commands and
responses and gives some advice on how to implement that to the best
possible effect.
 
It does not create any IANA registry or define several compression
mechanisms: The WG believes that in the long term, TLS compression
availability will make this extension obsolete. However, if that should be
wrong, the document leaves an option to define more mechanisms and a
registry later.

Working Group Summary
 
There is consensus in the WG to publish this document.

Document Quality
 
Many members of the Lemonade WG, including Dave Criland, Ned Freed, Philip
Guenther, Randy Gellens and Tony Hansen, have reviewed the document.  Eric
Rescorla (non-work group) has provided a security review and also gave
valuable feed back. The protocol has been implemented by three servers and
two clients and was shown to interoperate.
 
The document has been checked manually and using idnits 1.118, and passed
both checks.  The IANA Considerations section is sensible and consistent.
 
The (four-line) ABNF has been manually checked.
 
Eric Burger shepherds this document.  He has reviewed this document and
believes the -06 version is ready for publication.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade